# osgGL2::UniformValue Class Reference

osgGL2::UniformValue is for internal use by osgGL2::ProgramObject. More...

Inheritance diagram for osgGL2::UniformValue:

[legend]
List of all members.

## Public Member Functions

virtual void | apply (Extensions *ext, const GLhandleARB progObj) const =0
virtual int | compare (const UniformValue &uv) const

## Protected Member Functions

| UniformValue (const char *uniformName)
virtual | ~UniformValue ()
| UniformValue ()
| UniformValue (const UniformValue &)
UniformValue & | operator= (const UniformValue &)
int | getLocation (Extensions *ext, const GLhandleARB progObj) const

## Protected Attributes

std::string | _name

## Detailed Description

osgGL2::UniformValue is for internal use by osgGL2::ProgramObject.

UniformValue is an abstract class to encapsulate a new value for a glUniform. osgGL2::ProgramObject.setUniform() constructs and sends a UniformValue to all its PerContextProgramObjects (PCPOs) to set the value of a glUniform. The value contained in each UniformValue value is propagated to the glProgramObjects during the next osgGL2::ProgramObject.apply().

## Constructor & Destructor Documentation

osgGL2::UniformValue::UniformValue | ( | const char * | uniformName | ) | `[inline, protected]`

virtual osgGL2::UniformValue::~UniformValue | ( |  | ) | `[inline, protected, virtual]`

osgGL2::UniformValue::UniformValue | ( |  | ) | `[protected]`

osgGL2::UniformValue::UniformValue | ( | const UniformValue & |  | ) | `[protected]`

## Member Function Documentation

virtual void osgGL2::UniformValue::apply | ( | Extensions * | ext,
|  | const GLhandleARB | progObj
| ) | const`[pure virtual]`

| Implemented in osgGL2::UniformValueTemplate< T >.

int UniformValue::compare | ( | const UniformValue & | uv | ) | const`[virtual]`

| Reimplemented in osgGL2::UniformValueTemplate< T >.

int UniformValue::getLocation | ( | Extensions * | ext,
|  | const GLhandleARB | progObj
| ) | const`[protected]`

UniformValue& osgGL2::UniformValue::operator= | ( | const UniformValue & |  | ) | `[protected]`

## Member Data Documentation

std::string osgGL2::UniformValue::_name `[protected]`

The documentation for this class was generated from the following files:

- UniformValue
- UniformValue.cpp